$header_padding: 1.666vw;
$today: #4d8bab;
$not-today: #284443;

$big-pad: 1em;
$little-pad: 0.666em;
$tiny-pad: 0.333em;

html, body {
    font-family: Lato, Noto Sans Symbols2, sans-serif;
    position: absolute;
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 100vh;
    font-size: 4.444vmin;
}

section.slide {
    display: none;
    &:first-child {
        display: flex;
    }
    flex-flow: column nowrap;
    height: 100%;
    overflow: hidden;
    position: relative;
    & > * {
        display: flex;
        flex-flow: row nowrap;
    }
    & > section {
        height: 0;
        flex: 1 0 auto;
        & > * {
            flex: 1 0 0;
            overflow: hidden;
        }
    }
    & > aside {
        height: 8vh;
        flex: 0 0 auto;
        justify-content: space-between;
        align-items: center;
        padding: 0 $header_padding;
        & > * {
            flex: 0 0 auto;
        }
    }
}

.clock {
    text-shadow: 0 2px 8px black, 0 0 8px rgba(0, 0, 0, 0.2);
    color: white;
    font-size: 1em;
    .time {
        font-weight: 700;
    }
}

@mixin title {
    text-shadow: 0 2px 2px rgba(0, 0, 0, 1);
    color: white;
}

.box {
    padding: $big-pad;
    box-shadow: 0 2px 2px rgba(0, 0, 0, 1);
}
.box.container {
    padding: $tiny-pad;
}
.container {
    margin: $tiny-pad 3.125vw;
}
.flex-column {
    display: flex;
    flex-flow: column nowrap;
    justify-content: space-between;
}
.flex-column.add-footer {
    padding-bottom: 8vh;
}
.flex-column.add-small-footer {
    padding-bottom: 4vh;
}

h1, h2, p, li {
    flex-shrink: 0;
    @include title;
}

h1 {
    text-align: center;
    font-size: 1em;
    margin: $tiny-pad 2.125vw;
    align-self: center;
    font-weight: 700;
}
h1.large, h1 span.large {
    font-size: 1.2em;
}
.wide {
    align-self: stretch;
}
.left {
    text-align: left;
    text-indent: -1em;
    padding-left: 2em;
}

h2 {
    text-align: center;
    margin: $tiny-pad 2.125vw;
    font-size: 0.8em;
    font-weight: 700;
}

h2.small, h2 span.small {
    font-size: 0.6em;
}

p, ul {
    text-align: justify;
    margin: $little-pad;
    font-size: 0.6em;
    padding: 0;
}

.two-columns {
    column-count: 2;
    column-gap: $big-pad*1.5;
    hyphens: auto;
}
p.small {
    font-size: 0.45em;
}
.narrow {
    margin-left: 25%;
    margin-right: 25%;
}

ul {
    padding-left: 2em;
    list-style: none;
}

li {
    margin: 0;
    padding: 0;
}
ul > li::before {
    content: "• ";
}

ul > li.p {
    margin-left: -2em;
}
ul > li.p::before {
    display: none;
}


#badge {
    position: fixed;
    top: 0;
    left: 50%;
    transform: translate(-50%, 0);
    background-color: #ff9;
    color: #630;
    font-size: 0.5em;
    z-index: 1;
}

